VERSION 4.00
Begin VB.Form Form1 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Example FGFW1"
   ClientHeight    =   4140
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   4545
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4140
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

'*****************************************************************************
'                                                                            *
'  FGFW1.FRM                                                                 *
'                                                                            *
'  Demonstrate the basic Fastgraph/Fonts for Windows operations of font      *
'  loading, character display and justification, and font unloading.         *
'                                                                            *
'*****************************************************************************

Dim hPal As Long
Dim hvb As Long
Dim cxClient As Long, cyClient As Long

Private Sub Form_Activate()
   Call fg_realize(hPal)
   Refresh
End Sub

Private Sub Form_Load()
   Dim MaxX As Long, MaxY As Long
   Dim MidX As Long, MidY As Long

   ScaleMode = 3
   Call fg_setdc(hDC)
   hPal = fg_defpal()
   Call fg_realize(hPal)

   Call fg_vbinit
   hvb = fg_vballoc(640, 480)
   Call fg_vbopen(hvb)
   Call fg_vbcolors

   If fgf_load("AUSTIN36.FGF") = 0 Then
      Call MsgBox("Unable to load font file.", vbCritical, "Error")
      Unload Me
      Exit Sub
   End If
   
   MaxX = fg_getmaxx()
   MaxY = fg_getmaxy()
   MidX = MaxX / 2
   MidY = MaxY / 2

   Call fg_setcolor(255)
   Call fg_fillpage

   Call fg_setcolor(19)
   Call fg_move(0, 0)
   Call fgf_justify(-1, 1)
   Call fgf_print("FG/Fonts", 8)
   Call fg_move(MidX, 0)
   Call fgf_justify(0, 1)
   Call fgf_print("FG/Fonts", 8)
   Call fg_move(MaxX, 0)
   Call fgf_justify(1, 1)
   Call fgf_print("FG/Fonts", 8)

   Call fg_move(0, MidY)
   Call fgf_justify(-1, 0)
   Call fgf_print("FG/Fonts", 8)
   Call fg_move(MidX, MidY)
   Call fgf_justify(0, 0)
   Call fgf_print("FG/Fonts", 8)
   Call fg_move(MaxX, MidY)
   Call fgf_justify(1, 0)
   Call fgf_print("FG/Fonts", 8)

   Call fg_move(0, MaxY)
   Call fgf_justify(-1, -1)
   Call fgf_print("FG/Fonts", 8)
   Call fg_move(MidX, MaxY)
   Call fgf_justify(0, -1)
   Call fgf_print("FG/Fonts", 8)
   Call fg_move(MaxX, MaxY)
   Call fgf_justify(1, -1)
   Call fgf_print("FG/Fonts", 8)
End Sub

Private Sub Form_Paint()
   Call fg_vbscale(0, fg_getmaxx(), 0, fg_getmaxy(), 0, cxClient - 1, 0, cyClient - 1)
End Sub

Private Sub Form_Resize()
   cxClient = ScaleWidth
   cyClient = ScaleHeight
   Refresh
End Sub

Private Sub Form_Unload(Cancel As Integer)
   Call fgf_unload(-1)
   Call fg_vbclose
   Call fg_vbfree(hvb)
   Call fg_vbfin
End Sub


