/****************************************************************************\
*                                                                            *
*  FGFW6.CPP                                                                 *
*  FGFW6U.CPP                                                                *
*                                                                            *
*  Demonstrate manual underlining.                                           *
*                                                                            *
\****************************************************************************/

#include <vcl\vcl.h>
#pragma hdrstop

#include "FGFW6U.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormActivate(TObject *Sender)
{
   fg_realize(hpal);
   Invalidate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
   int height, width;
   char message_text[16];

   hdc = GetDC(Form1->Handle);
   fg_setdc(hdc);
   hpal = fg_defpal();
   fg_realize(hpal);

   fg_vbinit();
   hvb = fg_vballoc(640,480);
   fg_vbopen(hvb);
   fg_vbcolors();

   if (fgf_load("AUSTIN36.FGF") == 0)
   {
      Application->MessageBox("Unable to load font file.","Error",MB_ICONSTOP|MB_OK);
      Application->Terminate();
      return;
   }

   fg_setcolor(255);
   fg_fillpage();

   lstrcpy(message_text,"Fastgraph/Fonts");
   height = fgf_height(message_text,15) - fgf_drop() + 2;
   width  = fgf_width(message_text,15);

   fg_setcolor(20);
   fgf_justify(-1,1);
   fgf_print(message_text,15);
   fg_rect(0,width-1,height,height+2);

   Application->OnActivate = OnActivate;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormPaint(TObject *Sender)
{
   fg_vbscale(0,fg_getmaxx(),0,fg_getmaxy(),0,cxClient-1,0,cyClient-1);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormResize(TObject *Sender)
{
   cxClient = ClientWidth;
   cyClient = ClientHeight;
   Invalidate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormDestroy(TObject *Sender)
{
   fgf_unload(-1);
   fg_vbclose();
   fg_vbfree(hvb);
   fg_vbfin();
   DeleteObject(hpal);
   ReleaseDC(Form1->Handle,hdc);
}
//---------------------------------------------------------------------------
